MKFS.S3QL(1)

NAME
mkfs.s3ql - Create an S3QL file system

SYNOPSIS

mkfs.s3ql [options] <storage url>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The mkfs.s3ql command creates a new file system in the location specified by storage url. The storage url depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

Unless you have specified the --plain option, mkfs.s3ql will ask you to enter an encryption password. This password will not be read from an authentication file specified with the --authfile option to prevent accidental creation of an encrypted bucket.

OPTIONS

The mkfs.s3ql command accepts the following options.

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql)

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2)

--debug <module>
    activate debugging output from <module>. Use all to get debug messages from all modules. This option can be specified multiple times.

--quiet
    be really quiet

--version
    just print program version and exit

-L <name>
    Filesystem label

--max-obj-size <size>
    Maximum size of storage objects in KB. Files bigger than this will be spread over multiple objects in the storage backend. Default: 10240 KB.

--plain
    Create unencrypted file system.

--force
    Overwrite any existing data.

EXIT STATUS

mkfs.s3ql returns exit code 0 if the operation succeeded and 1 if some error occured.

SEE ALSO

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, conventional locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
2008-2011, Nikolaus Rath